#ifndef PRIMITIVE_H
#define PRIMITIVE_H

#include "shape.h"

namespace CBK
{
	namespace Shapes
	{
		class Primitive : public Shape
		{
		public:
			//Create a new shape
			Primitive(IDirect3DDevice9* device = 0);

			//Clean up
			virtual ~Primitive(void);

			//Draws the object
			virtual void draw(const DWORD& subset = 0);

		protected:
			ID3DXMesh* mesh;

		private:
			//Disallow Copying
			Primitive(const Primitive& other);
			Primitive& operator=(const Primitive& other);
		};
	}
}

#endif //PRIMITIVE_H